Loading...
Searching...
No Matches
solverfactory.hh File Reference
`#include <unordered_map>`
`#include <functional>`
`#include <memory>`
`#include <dune/common/parametertree.hh>`
`#include <dune/common/std/type_traits.hh>`
`#include <dune/common/singleton.hh>`
`#include <dune/common/parameterizedobject.hh>`
`#include <dune/istl/solverregistry.hh>`
`#include <dune/istl/common/registry.hh>`
`#include <dune/istl/solver.hh>`
`#include <dune/istl/schwarz.hh>`
`#include <dune/istl/novlpschwarz.hh>`

Go to the source code of this file.

## Classes

struct | Dune::OperatorTraits< Operator >
class | Dune::UnknownSolverCategory

## Namespaces

namespace | Dune

## Typedefs

template<class OP>
using | Dune::PreconditionerSignature = std::shared_ptr<Preconditioner<typename OP::domain_type,typename OP::range_type>>(const std::shared_ptr<OP>&, const ParameterTree&)
template<class OP>
using | Dune::PreconditionerFactory = Singleton<ParameterizedObjectFactory<PreconditionerSignature<OP>>>
template<class OP>
using | Dune::SolverSignature = std::shared_ptr<InverseOperator<typename OP::domain_type,typename OP::range_type>>(const std::shared_ptr<OP>&, const ParameterTree&)
template<class OP>
using | Dune::SolverFactory = Singleton<ParameterizedObjectFactory<SolverSignature<OP>>>

## Functions

template<class Operator>
std::shared_ptr< InverseOperator< typename Operator::domain_type, typename Operator::range_type > > | Dune::getSolverFromFactory (std::shared_ptr< Operator > op, const ParameterTree &config, std::shared_ptr< Preconditioner< typename Operator::domain_type, typename Operator::range_type > > prec=nullptr)
| Instantiates an InverseOperator from an Operator and a configuration given as a ParameterTree.
template<class Operator>
std::shared_ptr< Preconditioner< typename Operator::domain_type, typename Operator::range_type > > | Dune::getPreconditionerFromFactory (std::shared_ptr< Operator > op, const ParameterTree &config)
| Construct a Preconditioner for a given Operator.